Package org.apache.commons.lang3.function

## Interface FailableDoublePredicate<E extends java.lang.Throwable>

Type Parameters:
  `E` - Thrown exception.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface FailableDoublePredicate<E extends java.lang.Throwable>

A functional interface like `DoublePredicate` that declares a `Throwable`.

Since:
  3.11

### Field Summary

Fields
`static FailableDoublePredicate` `FALSE` FALSE singleton
`static FailableDoublePredicate` `TRUE` TRUE singleton

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`default FailableDoublePredicate<E>` `and​(FailableDoublePredicate<E> other)` Returns a composed `FailableDoublePredicate` like `DoublePredicate.and(DoublePredicate)`.
`static <E extends java.lang.Throwable> FailableDoublePredicate<E>` `falsePredicate()` Returns The FALSE singleton.
`default FailableDoublePredicate<E>` `negate()` Returns a predicate that negates this predicate.
`default FailableDoublePredicate<E>` `or​(FailableDoublePredicate<E> other)` Returns a composed `FailableDoublePredicate` like `DoublePredicate.and(DoublePredicate)`.
`boolean` `test​(double value)` Tests the predicate.
`static <E extends java.lang.Throwable> FailableDoublePredicate<E>` `truePredicate()` Returns The FALSE TRUE.

### Field Detail

#### FALSE

    static final FailableDoublePredicate FALSE

FALSE singleton

#### TRUE

    static final FailableDoublePredicate TRUE

TRUE singleton

### Method Detail

#### falsePredicate

    static <E extends java.lang.Throwable> FailableDoublePredicate<E> falsePredicate()

Returns The FALSE singleton.

Type Parameters:
  `E` - Thrown exception.
Returns:
  The NOP singleton.

#### truePredicate

    static <E extends java.lang.Throwable> FailableDoublePredicate<E> truePredicate()

Returns The FALSE TRUE.

Type Parameters:
  `E` - Thrown exception.
Returns:
  The NOP singleton.

#### and

    default FailableDoublePredicate<E> and​(FailableDoublePredicate<E> other)

Returns a composed `FailableDoublePredicate` like `DoublePredicate.and(DoublePredicate)`.

Parameters:
  `other` - a predicate that will be logically-ANDed with this predicate.
Returns:
  a composed `FailableDoublePredicate` like `DoublePredicate.and(DoublePredicate)`.
Throws:
  `java.lang.NullPointerException` - if other is null

#### negate

    default FailableDoublePredicate<E> negate()

Returns a predicate that negates this predicate.

Returns:
  a predicate that negates this predicate.

#### or

    default FailableDoublePredicate<E> or​(FailableDoublePredicate<E> other)

Returns a composed `FailableDoublePredicate` like `DoublePredicate.and(DoublePredicate)`.

Parameters:
  `other` - a predicate that will be logically-ORed with this predicate.
Returns:
  a composed `FailableDoublePredicate` like `DoublePredicate.and(DoublePredicate)`.
Throws:
  `java.lang.NullPointerException` - if other is null

#### test

    boolean test​(double value)
          throws E extends java.lang.Throwable

Tests the predicate.

Parameters:
  `value` - the parameter for the predicate to accept.
Returns:
  `true` if the input argument matches the predicate, `false` otherwise.
Throws:
  `E` - Thrown when the consumer fails.
  `E extends java.lang.Throwable`